Bug 460111 - Review Request: perl-Data-ICal - Generates iCalendar (RFC 2445) calendar files
Review Request: perl-Data-ICal - Generates iCalendar (RFC 2445) calendar files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: 460107
Blocks: 459536
  Show dependency treegraph
 
Reported: 2008-08-26 04:48 EDT by Ralf Corsepius
Modified: 2009-03-19 23:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-14 02:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-08-26 04:48:23 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Data-ICal.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Data-ICal-0.13-2.fc9.src.rpm
Description:
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

This package is a new prerequisite of rt >= 3.8.0.
Comment 1 Dan Horák 2008-08-27 03:34:06 EDT
formal review:
OK	source files match upstream:
	    7c9c01a3aa26eaa76eb6224d84349ffe66068f21  Data-ICal-0.13.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 2 Ralf Corsepius 2008-08-27 04:08:46 EDT
New Package CVS Request
=======================
Package Name: perl-Data-ICal
Short Description: Generates iCalendar (RFC 2445) calendar files
Owners: corsepiu
Branches: F-8 F-9
InitialCC: perl-sig
Comment 3 Ralf Corsepius 2008-08-27 04:09:53 EDT
Thanks for the reviews, Dan. Your help is very much appreciated.
Comment 4 Dan Horák 2008-08-27 04:21:31 EDT
Hopefully I have reviewed all the prerequisites for the new RT :-) Could you take a look at https://bugzilla.redhat.com/show_bug.cgi?id=452354 ?
Comment 5 Kevin Fenzi 2008-08-29 00:40:41 EDT
cvs done.
Comment 6 Fedora Update System 2008-09-11 23:49:30 EDT
perl-Data-ICal-0.13-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/perl-Data-ICal-0.13-3.fc8
Comment 7 Fedora Update System 2008-09-14 02:47:27 EDT
perl-Data-ICal-0.13-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-14 02:47:41 EDT
perl-Data-ICal-0.13-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Xavier Bachelot 2009-03-18 15:29:10 EDT
As discussed with Ralf, I'll maintain the EL branches.

Package Change Request
======================
Package Name: perl-Data-ICal
New Branches: EL-4 EL-5
Owners: xavierb
Comment 10 Kevin Fenzi 2009-03-19 23:13:56 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.